
%if 0

This file contains the boot sector and partition table entry OS types
known to MetaKern. You can edit it so MetaKern knows other OSes or to
exclude some unused OSes and save space on the boot drive.


License: GNU GPL 2. Copyright 2002-2003 Eric Auer, eric@coli.uni-sb.de
   The GNU General Public License is included in the file named COPYING.
   Basically it means: Freeware and open source, but may only be included
   in projects which are open source, too.

   We're of the opinion that the GPL allows you to boot non-free operating
   systems using MetaKern (but not to distribute it with / as part of a
   non-free / non-open operating system or software package).

   Parts modified 2008 and 2018 by C. Masloch, cm -AT- bttr-software.de
   Licensed under the GNU GPL version 2, as described above.

%endif


%if _SHORTMSG
hiddentype:	db "Hidden",0	; Prefix for hidden types (11..1F)

ptypemsgs:		; ASCIZ strings for the partition types
			; All partition type messages have to start 255
			; byte or less from this label
fatptype:	db "FAT",0
f32ptype:	db "FAT32",0
qnxptype:	db "NTFS",0
linptype:	db "Linux",0
xyzptype:	db "?",0

			; ASCIZ strings for the boot sector OS types
fdtype:		db "FreeDOS",0
wintype:	db "MS-DOS 7+",0
iotype:		db "MS-DOS",0
ibmtype:	db "PC-DOS",0
drtype:		db "EDR-DOS",0
rxbtype:
rxdtype:
rxctype:	db "RxDOS",0
ltype:		db "lDOS",0
ldebugtype:	db "lDebug",0
mktype:		db "MetaKern",0
ptsbtype:	db "PTS-DOS",0
ptsdtype:	db "PTS-DOS 32",0
romtype:	db "ROM-DOS",0
frldrtype:	db "ReactOS",0
mgrtype:
nttype:		db "WinNT",0
grtype:		db "GRUB",0
ldlintype:	db "SYSLINUX",0
othertype equ xyzptype			; Shares the partition type "?" message


%else ; _SHORTMSG


ptypemsgs:		; ASCIZ strings for the partition types
			; All partition type messages have to start 255
			; byte or less from this label
fatptype	db "FAT  ",0
f32ptype	db "FAT32",0
qnxptype	db "NTFS, QNX or OS/2",0
linptype	db "Linux",0
xyzptype	db "???  ",0

			; ASCIZ strings for the boot sector OS types
%if _OLDSTYLE
fdtype		db "FreeDOS          (FDKERN"
fdtypecnt	db                         "EL.SYS)",0
%else
fdtype		db "FreeDOS          (KERNEL"
fdtypecnt	db                         "  .SYS)",0
%endif

wintype		db "MS Windows       (IO.SYS / WINBOOT.SYS)",0
iotype		db "MS-DOS / Windows (IO.SYS / MSDOS.SYS)",0
ibmtype		db "PC-DOS / DR-DOS  (IBMBIO.COM / IBMDOS.COM)",0
drtype		db "Enhanced DR-DOS  (DRBIO.SYS / DRDOS.SYS)",0
rxdtype		db "RxDOS            (RXDOSBIO.SYS / RXDOS.SYS)",0
rxbtype		db "RxDOS            (RXBIO.SYS / RXDOS.SYS)",0
rxctype		db "RxDOS            (RXDOS.COM)",0
ltype		db "lDOS             (LDOS.COM)",0
ldebugtype	db "lDebug           (LDEBUG.COM)",0
mktype		db "MetaKern         (METAKERN.SYS)",0
ptsbtype	db "PTS-DOS          (PTSBIO.SYS / PTSDOS.SYS)",0
ptsdtype	db "PTS-DOS 32       (PTSDOS.SYS)",0
romtype		db "ROM-DOS          (ROM-DOS.SYS)",0
frldrtype	db "ReactOS          (FREELDR.SYS)",0
mgrtype		db "MS Windows NT    (BOOTMGR)",0
nttype		db "MS Windows NT    (NTLDR)",0
grtype		db "GRUB             (GRLDR)",0
ldlintype	db "SYSLINUX         (LDLINUX.SYS)",0
		; could  add others here and in search strings
othertype	db "unknown operating system",0

%endif	; _SHORTMSG


%define SEARCH_MESSAGES ""
	%macro search_entry 4.nolist
%1 %+ search:
	fill 8,32,db %3
	fill 3,32,db %4
%xdefine SEARCH_MESSAGES SEARCH_MESSAGES, %2 %+ type
	%endmacro

search_entry fd,	fd,	"KERNEL",  "SYS"
search_entry win,	win,	"WINBOOT", "SYS" ; or "IO","SYS"
search_entry io,	io,	"IO",      "SYS" ; and "MSDOS","SYS"
search_entry ibm,	ibm,	"IBMBIO",  "COM" ; and "IBMDOS","COM"
search_entry dr,	dr,	"DRBIO",   "SYS" ; and "DRDOS","SYS"
search_entry rxd,	rxd,	"RXDOSBIO","SYS" ; and "RXDOS","SYS" ; <= 7.1.5
search_entry rxb,	rxb,	"RXBIO",   "SYS"
search_entry rxc,	rxc,	"RXDOS",   "COM"
search_entry l,		l,	"LDOS",    "COM"
search_entry ldebug,	ldebug,	"LDEBUG",  "COM"
search_entry mk,	mk,	"METAKERN","SYS"
search_entry ptsb,	ptsb,	"PTSBIO",  "SYS" ; and "PTSDOS","SYS"
search_entry ptsd,	ptsd,	"PTSDOS",  "SYS"
search_entry rom,	rom,	"ROM-DOS", "SYS"
search_entry frldr,	frldr,	"FREELDR", "SYS"
search_entry mgr,	mgr,	"BOOTMGR", ""
search_entry nt,	nt,	"NTLDR",   ""
search_entry gr,	gr,	"GRLDR",   ""
search_entry ldlin,	ldlin,	"LDLINUX", "SYS"
		dw 0	; end of search list

		; map fdsearch to fdreplace, and in addition, count.
%if _OLDSTYLE
fdreplace	db "FDKERN"
fdreplacecnt	db       "ELSYS"
%else
fdreplace	db "KERNEL"
fdreplacecnt	db       "  SYS"
%endif

	align 2
		; Table of messages for each search string.
		; Must match the order of the search strings.
searchlist:	dw SEARCH_MESSAGES, othertype


	%macro ptype_tbl_entry 2.nolist
	db %1, (%2 - ptypemsgs)
	%endmacro

ptype_tbl:	; Table of partition table types
		; One byte FS type (or 00h terminator), one byte offset of message
	ptype_tbl_entry 83h, linptype		; Linux ext2+/...
	ptype_tbl_entry 01h, fatptype		; FAT12
	ptype_tbl_entry 04h, fatptype		; FAT16 max. 32 MiB
	ptype_tbl_entry 06h, fatptype		; FAT16
	ptype_tbl_entry 07h, qnxptype		; NTFS, QNX or OS/2
	ptype_tbl_entry 0Bh, f32ptype		; FAT32
	ptype_tbl_entry 0Ch, f32ptype		; FAT32 LBA
	ptype_tbl_entry 0Dh, fatptype		; FAT12 LBA (not common)
	ptype_tbl_entry 0Eh, fatptype		; FAT16 LBA
	ptype_tbl_entry 00h, xyzptype		; end of table
				; other types (not shown in menu):
				; 00h - unused partition table entry
				; 05h - extended (usually not bootable)
				; 0Fh - extended LBA (usually not bootable)
				; 85h - Linux extended (usually not bootable)

